#
# Makefile  -  makefile for i386 lib for netboot
#
# Copyright (C) 2002-2007 Gero Kuhlmann   <gero@gkminix.han.de>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# $Id: Makefile,v 1.8 2007/01/06 18:30:50 gkminix Exp $
#


# Subdirectory name of this module
MODNAME    = i386


# Include makefile configuration
include ../make.config
include ../make.rules


# Subdirectories
SUBDIRS    = asm libc


# Source and object files for the target system
# Note that the TARGET variable is only required for the clean rule.
SSRCS86    =
CSRCS86    = 
TARGETLIB  = libi386.a
TARGET     = $(TARGETLIB)


# Rules to generate the target on the host system
all:		libi386-$(GNU16BIT)

.PHONY:		libi386-gnu libi386-nognu

libi386-gnu:	$(TARGETLIB)

libi386-nognu:


# Rules to generate the target library
$(TARGETLIB):	all-recursive


# distrib generates all files which are not removed by distclean
distrib:	libi386-gnu

clean:		clean-general clean-recursive

distclean:	clean-general distclean-recursive

realclean:	clean-general realclean-recursive

